
#include <stdio.h>

#include "../../gsmcomon.h"
#include "../../misc/misc.h"
#include "../gsmprot.h"

class GSM_Protocol_OBEX:virtual public GSM_Protocol
{
public:
        GSM_Protocol_OBEX(GSM_Device **Dev, DebugInfo **Deb):GSM_Protocol(Dev,Deb) {
		Info.push_back(GSM_Protocol_Info("infrared", "irdaobex", false));
                Msg = new GSM_Protocol_Message();
        }
        ~GSM_Protocol_OBEX() {
        }

        GSM_Error Open		(char *Prot);
        GSM_Error Close		();
        GSM_Error Write		(unsigned char *buffer, int length, unsigned char type);
	GSM_Error Dispatch	(unsigned char *buffer, int length, int *position);
private:
        int                     linestartnum;
        GSM_Protocol_Message    *Msg;
};
